%define name gnoise
%define version 0.1.15
%define release %mkrel 6


Version: 	%{version}
Summary: 	GTK-based wave file editor
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://sourceforge.net/projects/gnoise/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+-devel
BuildRequires:	automake1.8

%description
GNoise is a GTK-based wave file editor for Linux capable of handling large 
files. A peaks display cache provides a fast, double-buffered display.

%prep

%setup -q 

%build
export FORCE_AUTOCONF_2_5=1
aclocal-1.8
automake-1.8 -a -c
autoconf

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnoise"\
title="Gnoise"\
longtitle="Wave file editor"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound" xdg="true"
EOF
)

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-WebBrowsers
EOF

rm -rf %{buildroot}%_datadir/gnome/apps/Multimedia/gnoise.desktop

%post
%update_menus
 
%postun
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_menudir}/*
%_datadir/pixmaps/gnoise.png
%_datadir/applications/*

%changelog
* Fri Aug 18 2006 Lenny Cartier <lenny@mandriva.com> 0.1.15-6mdv2007.0
- xdg

* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.15-5mdk
- add BuildRequires: libgtk+-devel
- use current autotools

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.15-4mdk
- 0.1.15

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.15-3mdk
- rebuild

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.15-2mdk
- Fix menu entry
- Add missing files

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.15-1mdk
- 0.1.15

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.14-1mdk
- updated by Grgoire Colbert <gregus@linux-mandrake.com> :
	- updated to 0.1.14

* Thu Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.13-1mdk
- updated to 0.1.13

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-2mdk
- rebuild

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- updated to 0.1.7

* Tue Nov 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-1mdk
- updated to 0.1.6

*Thu Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- new in contribs
- add menu entry
